# class Float

class FalseClass

    public
    def initialize_clone
      false
    end
    alias :initialize_dup :initialize_clone
    alias :dup :initialize_clone
    def clone()
      initialize_clone
    end

end

class TrueClass

    public
    def initialize_clone
      true
    end
    alias :initialize_dup :initialize_clone
    alias :dup :initialize_clone
    def clone()
      initialize_clone
    end

end

### Public Instance Methods

clone() click to toggle source

    # File lib/gxg/gxg_augmented.rb, line 80
    def clone()
      initialize_clone
    end

dup()
Alias for: initialize_clone
initialize_clone() click to toggle source

    # File lib/gxg/gxg_augmented.rb, line 75
    def initialize_clone
      (self + 0.0)
    end

Also aliased as: initialize_dup, dup
initialize_dup()
Alias for: initialize_clone